<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Chat Messenger</title>

  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <link rel="stylesheet" href="../public/css/main.css">
  <link rel="stylesheet" href="../public/css/partials.css">

  <script src="https://kit.fontawesome.com/c7d062ae39.js" crossorigin="anonymous"></script>
  <script src="https://unpkg.com/socket.io-client@4.3.1/dist/socket.io.min.js"></script>
</head>

<body>
  <div class="main d-flex flex-column w-100">
    <nav class="navbar navbar-expand-lg navbar-light bg-main">
      <div class="container-fluid">
        <a href="/dashboard"><img src="../public/assets/logo.png" alt="" class="ava p-2"></a>
        <div class="d-flex flex-column ms-0 me-auto ps-2">
          <h4 class="text-white"><i class="fas fa-user"></i> <%= session_user.username %></h4>
          <h5 class="text-white mb-0">Hello, <%= session_user.fullname %> </h5>
        </div>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarTogglerDemo02"
          aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
          <ul class="navbar-nav me-0 ms-auto mb-2 mb-lg-0 float-end">
            <li class="nav-item">
              <a class="nav-link fw-bold hover-secondary text-white text-end me-2 align-items-center d-flex" href="#" id="addContactBtn"><i class="fas fa-address-book fs-2"></i> <h6 class="ms-2 my-auto w-50 text-start">Add Contact</h6></a>
            </li>
            <li class="nav-item">
              <a class="nav-link fw-bold hover-secondary text-white text-end me-2 align-items-center d-flex" href="/dashboard/profile"><i class="fas fa-id-card fs-2"></i> <h6 class="ms-2 my-auto w-50 text-start">Edit Profile</h6></a>
            </li>
            <li>
              <form action="/logout" method="post" class="d-flex align-items-center">
                <button type="submit" class="me-sm-5 ms-auto logout-btn btn px-4 text-white fw-bold">LOGOUT</button>
              </form>
            </li>
          </ul>

        </div>
      </div>
    </nav>

    <div class="w-100 d-flex justify-content-center align-items-center py-5">
      <form action="/dashboard/profile" method="post" class="d-flex flex-column card w-75 my-5">
          <h3 class="card-header text-center">Edit Profile</h3>
          <input class="p-2 m-2" type="text" name="fullname" id="" value="<%= user.fullname %>" required>
          <input class="p-2 m-2" type="text" name="email" id="" value="<%= user.email %>" required>
          <button class="btn btn-login m-2 fs-4 text-white w-50 mx-auto" type="submit">Update</button>
      </form>
    </div>

    <!-- Add Contact Modal -->
  <div id="addContactModal" class="quick-chat">
    <div class="quick-chat-content container-fluid d-flex flex-column rounded-3 border-success bg-light">
      <span class="add-contact-close text-dark me-0 ms-auto">&times;</span>
      <form action="/dashboard/contacts" method="post">
        <h4 class="text-dark">Add to contacts</h4>
        <input type="text" name="addUsername" id="" placeholder="Username" class="form-control my-2" required>
        <input type="submit" value="Add" class="btn w-100 btn-success">
      </form>
    </div>
  </div>

  <div id="errorContactModal" class="quick-chat">
    <div class="quick-chat-content container-fluid d-flex flex-column rounded-3 border-success bg-light text-center">
      <span class="add-contact-close text-dark me-0 ms-auto">&times;</span>
      <h4 class="txt-secondary" id="error-message"> Text </h4>
    </div>
  </div>

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>

<script src="../public/js/startChat.js"></script>

</body>

</html>